Bug 888958 (gtk-solidity-engine)

Summary: Review Request: gtk-solidity-engine - Solidity Gtk+ theming engine
Product: [Fedora] Fedora Reporter: Mario Blättermann <mario.blaettermann>
Component: Package ReviewAssignee: Wolfgang Ulbrich <fedora>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora, misc, notting, package-review
Target Milestone: ---Keywords: Reopened
Target Release: ---Flags: fedora: fedora-review+
kevin: fedora-cvs+
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-03 13:42:04 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Mario Blättermann 2012-12-19 21:53:28 UTC
Spec URL: http://mariobl.fedorapeople.org/Review/SPECS/gtk-solidity-engine.spec
SRPM URL: http://mariobl.fedorapeople.org/Review/SRPMS/gtk-solidity-engine-0.4.1-1.fc18.src.rpm
Description: Solidity Gtk+ theming engine
Fedora Account System Username: mariobl

Comment 1 Michael Schwendt 2012-12-19 23:08:23 UTC
Very important:
https://fedoraproject.org/wiki/Packaging:Guidelines#Compiler_flags

rpmlint likely complains, too.

Comment 2 Mario Blättermann 2012-12-27 15:14:51 UTC
After adding %{optflags} to the gcc call, it seems to work. We have a debug package with real content now (built locally).

New files:
Spec URL: http://mariobl.fedorapeople.org/Review/SPECS/gtk-solidity-engine.spec
SRPM URL: http://mariobl.fedorapeople.org/Review/SRPMS/gtk-solidity-engine-0.4.1-2.fc18.src.rpm

Comment 3 Wolfgang Ulbrich 2012-12-28 10:02:18 UTC
APPROVED !


Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[ ]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[ ]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[ ]: Package contains no bundled libraries.
[ ]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[ ]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[ ]: Macros in Summary, %description expandable at SRPM build time.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[ ]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[ ]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v3 or later)". 1 files have unknown license. Detailed output of
     licensecheck in /home/rave/888958-gtk-solidity-engine/licensecheck.txt
[ ]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Package must own all directories that it creates.
[ ]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[ ]: Package is not relocatable.
[ ]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[ ]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[ ]: Useful -debuginfo package or justification otherwise.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[ ]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (142331-solidity-0.4.1.tar.bz2)
[x]: SourceX is a working URL.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: gtk-solidity-engine-0.4.1-2.fc19.x86_64.rpm
          gtk-solidity-engine-debuginfo-0.4.1-2.fc19.x86_64.rpm
          gtk-solidity-engine-0.4.1-2.fc19.src.rpm
gtk-solidity-engine.x86_64: W: spelling-error Summary(en_US) theming -> teeming, hemming, emitting
gtk-solidity-engine.x86_64: W: spelling-error %description -l en_US theming -> teeming, hemming, emitting
gtk-solidity-engine.x86_64: W: no-documentation
gtk-solidity-engine.src: W: spelling-error Summary(en_US) theming -> teeming, hemming, emitting
gtk-solidity-engine.src: W: spelling-error %description -l en_US theming -> teeming, hemming, emitting
3 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint gtk-solidity-engine gtk-solidity-engine-debuginfo
gtk-solidity-engine.x86_64: W: spelling-error Summary(en_US) theming -> teeming, hemming, emitting
gtk-solidity-engine.x86_64: W: spelling-error %description -l en_US theming -> teeming, hemming, emitting
gtk-solidity-engine.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
gtk-solidity-engine-0.4.1-2.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    
    libatk-1.0.so.0()(64bit)  
    libc.so.6()(64bit)  
    libcairo-gobject.so.2()(64bit)  
    libcairo.so.2()(64bit)  
    libgdk-3.so.0()(64bit)  
    libgdk_pixbuf-2.0.so.0()(64bit)  
    libgio-2.0.so.0()(64bit)  
    libglib-2.0.so.0()(64bit)  
    libgmodule-2.0.so.0()(64bit)  
    libgobject-2.0.so.0()(64bit)  
    libgtk-3.so.0()(64bit)  
    libpango-1.0.so.0()(64bit)  
    libpangocairo-1.0.so.0()(64bit)  
    libpthread.so.0()(64bit)  
    rtld(GNU_HASH)  

gtk-solidity-engine-debuginfo-0.4.1-2.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    



Provides
--------
gtk-solidity-engine-0.4.1-2.fc19.x86_64.rpm:
    
    gtk-solidity-engine = 0.4.1-2.fc19
    gtk-solidity-engine(x86-64) = 0.4.1-2.fc19
    libsolidity.so()(64bit)  

gtk-solidity-engine-debuginfo-0.4.1-2.fc19.x86_64.rpm:
    
    gtk-solidity-engine-debuginfo = 0.4.1-2.fc19
    gtk-solidity-engine-debuginfo(x86-64) = 0.4.1-2.fc19



Unversioned so-files
--------------------
gtk-solidity-engine-0.4.1-2.fc19.x86_64.rpm: /usr/lib64/gtk-3.0/3.0.0/theming-engines/libsolidity.so

MD5-sum check
-------------
http://gnome-look.org/CONTENT/content-files/142331-solidity-0.4.1.tar.bz2 :
  CHECKSUM(SHA256) this package     : 30e1165907f45d1f20d46d1d6d1b67db49911e912acd4a93df10aa68672a47b9
  CHECKSUM(SHA256) upstream package : 30e1165907f45d1f20d46d1d6d1b67db49911e912acd4a93df10aa68672a47b9


Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 888958 -m fedora-rawhide-x86_64

Comment 4 Mario Blättermann 2012-12-28 10:23:17 UTC
Thanks for your review!

New Package SCM Request
=======================
Package Name: gtk-solidity-engine
Short Description: Solidity Gtk+ theming engine
Owners: mariobl
Branches: f18

Comment 5 Kevin Fenzi 2012-12-30 20:29:26 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2012-12-30 21:35:10 UTC
gtk-solidity-engine-0.4.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gtk-solidity-engine-0.4.1-2.fc18

Comment 7 Fedora Update System 2013-01-01 00:14:29 UTC
gtk-solidity-engine-0.4.1-2.fc18 has been pushed to the Fedora 18 testing repository.

Comment 8 Fedora Update System 2013-01-11 23:51:58 UTC
gtk-solidity-engine-0.4.1-2.fc18 has been pushed to the Fedora 18 stable repository.

Comment 9 Michael S. 2013-01-20 11:12:20 UTC
Why was this review not completed before approval ?

For example, according to licensecheck, the license is wrong, and this is written in the review. And the license is not shipped with the package, which is another Guidelines violation.

Comment 10 Wolfgang Ulbrich 2013-01-20 16:25:58 UTC
Oh, i forgot to post the lisence.text result.

GPL (v3 or later)
-----------------
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/gtk-solidity-engine-0.4.1/source/gtk3/solidity.vala

The content of solidity.vala in upsream package:

/*
Copyright 2011, 2012 Elias Aebi

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

using Gtk;
using Cairo;

[CCode (cname = "g_param_spec_boxed")]
public extern unowned ParamSpec param_spec_boxed (string name, string nick, string blurb, Type boxed_type, ParamFlags flags);
[CCode (cname = "g_param_spec_int")]
public extern unowned ParamSpec param_spec_int (string name, string nick, string blurb, int minimum, int maximum, int default_value, ParamFlags flags);

------------cut-------
In my opinion the license information is correct, do you agree?

Comment 11 Wolfgang Ulbrich 2013-01-20 16:35:31 UTC
Mario,
can you include the the COPYING from upstream upsstream package
142331-solidity-0.4.1/source/gtk3/COPYING in your package?

Comment 12 Mario Blättermann 2013-01-20 17:48:31 UTC
(In reply to comment #9)
> Why was this review not completed before approval ?
> 
> For example, according to licensecheck, the license is wrong, and this is
> written in the review. And the license is not shipped with the package,
> which is another Guidelines violation.

OK, I agree.

(In reply to comment #11)
> Mario,
> can you include the the COPYING from upstream upsstream package
> 142331-solidity-0.4.1/source/gtk3/COPYING in your package?

I will provide an updated package including the license text and change the license to GPLv3+.

Comment 13 Fedora Update System 2013-01-23 22:10:42 UTC
gtk-solidity-engine-0.4.1-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gtk-solidity-engine-0.4.1-3.fc18

Comment 14 Fedora Update System 2013-01-24 21:52:14 UTC
Package gtk-solidity-engine-0.4.1-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gtk-solidity-engine-0.4.1-3.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-1385/gtk-solidity-engine-0.4.1-3.fc18
then log in and leave karma (feedback).

Comment 15 Fedora Update System 2013-02-03 13:42:06 UTC
gtk-solidity-engine-0.4.1-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.